# react-share-simplified

> Social media share buttons inspired by react-share.
 
* Share buttons for:
  - Facebook
  - Twitter
  - Google+
  - Whatsapp
  - email

#### Demo

[View demo](https://sachinkammar.github.io/react-share-simplified/)

To run demo: clone repo and run `npm install && npm start`
and open `http://localhost:3000`.

## Install

```shell
npm install react-share-simplified --save
```

### Usage

```js
import ReactShare from 'react-share-simplified';

<ReactShare
    url={url} //required
    title={title} 
    facebook={true} // true or false. Optional prop
    facebookClass="iconStyle" //className to Style share button. Optional prop
    googlePlus={true} // true or false. Optional prop
    googlePlusClass="iconStyle" //Optional prop
    twitter={true} // true or false. Optional prop
    twitterClass="iconStyle" //Optional prop
    email={true} // true or false.Optional prop
    emailClass="iconStyle" //Optional prop
    whatsapp={true} // true or false. Optional prop 
    whatsappClass="iconStyle" //Optional prop
    iconSize={32} // Icon size  //Optional prop
    addClass="className"  //add className to style the whole div. Optional but better of added for alignment.
/>
```
Note: This is simplified version of original 'react-share' package. All Credits to @nyde/react-share.