"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactShare = require("react-share");

require("./ReactShareSimplified.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ReactShareSimplified = function (_Component) {
  _inherits(ReactShareSimplified, _Component);

  function ReactShareSimplified(props) {
    _classCallCheck(this, ReactShareSimplified);

    var _this = _possibleConstructorReturn(this, (ReactShareSimplified.__proto__ || Object.getPrototypeOf(ReactShareSimplified)).call(this, props));

    _this.state = {};
    return _this;
  }

  _createClass(ReactShareSimplified, [{
    key: "render",
    value: function render() {
      var _props = this.props,
          url = _props.url,
          title = _props.title,
          facebook = _props.facebook,
          googlePlus = _props.googlePlus,
          twitter = _props.twitter,
          whatsapp = _props.whatsapp,
          email = _props.email,
          addClass = _props.addClass,
          Previewemail = _props.Previewemail;

      var _ref = this.props || "shareIcon",
          facebookClass = _ref.facebookClass,
          twitterClass = _ref.twitterClass,
          googlePlusClass = _ref.googlePlusClass,
          whatsappClass = _ref.whatsappClass,
          emailClass = _ref.emailClass;

      console.log("iconsize", this.props.iconSize);
      var iconSize = 32;
      if (this.props.iconSize !== undefined) {
        iconSize = this.props.iconSize;
      }
      return _react2.default.createElement(
        "span",
        { className: addClass },
        facebook && _react2.default.createElement(
          _reactShare.FacebookShareButton,
          { url: url, quote: title, style: { outline: 'none' }, className: facebookClass },
          _react2.default.createElement(_reactShare.FacebookIcon, {
            size: iconSize,
            round: true })
        ),
        googlePlus && _react2.default.createElement(
          _reactShare.GooglePlusShareButton,
          { url: url, quote: title, style: { outline: 'none' }, className: googlePlusClass },
          _react2.default.createElement(_reactShare.GooglePlusIcon, {
            size: iconSize,
            round: true })
        ),
        twitter && _react2.default.createElement(
          _reactShare.TwitterShareButton,
          { url: url, quote: title, style: { outline: 'none' }, className: twitterClass },
          _react2.default.createElement(_reactShare.TwitterIcon, {
            size: iconSize,
            round: true })
        ),
        whatsapp && _react2.default.createElement(
          _reactShare.WhatsappShareButton,
          { url: url, quote: title, style: { outline: 'none' }, className: whatsappClass },
          _react2.default.createElement(_reactShare.WhatsappIcon, {
            size: iconSize,
            round: true })
        ),
        email && _react2.default.createElement(
          _reactShare.EmailShareButton,
          { url: url, quote: title, style: { outline: 'none' }, className: emailClass },
          _react2.default.createElement(_reactShare.EmailIcon, {
            size: iconSize,
            round: true })
        ),
        Previewemail && _react2.default.createElement(
          _reactShare.EmailShareButton,
          { url: url, quote: title, style: { outline: 'none' }, className: emailClass },
          _react2.default.createElement(_reactShare.EmailIcon, {
            size: iconSize,
            round: true })
        )
      );
    }
  }]);

  return ReactShareSimplified;
}(_react.Component);

exports.default = ReactShareSimplified;